%define	upstream_name	 Compress-Raw-Zlib
%define upstream_version 2.213

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Low-level interface to the zlib compression library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The Compress::Raw::Zlib module provides a Perl interface to the zlib
compression library, which is used by IO::Compress::Zlib.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove bundled zlib
rm -rf zlib-src
sed -i -e '/^zlib-src\//d' MANIFEST

%build
BUILD_ZLIB=False 
ZLIB_LIB=%{_libdir}
ZLIB_INCLUDE=%{_includedir}
export BUILD_ZLIB OLD_ZLIB ZLIB_LIB ZLIB_INCLUDE
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress

%changelog
* Mon Sep 02 2024 tv <tv> 2.213.0-1.mga10
+ Revision: 2092698
- update to 2.213

* Fri Aug 23 2024 tv <tv> 2.212.0-2.mga10
+ Revision: 2089252
- Rebuild for perl-5.40

* Thu May 09 2024 tv <tv> 2.212.0-1.mga10
+ Revision: 2062983
- update to 2.212

* Sat Apr 13 2024 tv <tv> 2.211.0-1.mga10
+ Revision: 2056904
- update to 2.211

* Thu Mar 07 2024 tv <tv> 2.209.0-1.mga10
+ Revision: 2048271
- update to 2.209

* Wed Feb 21 2024 tv <tv> 2.208.0-1.mga10
+ Revision: 2042922
- update to 2.208

* Tue Nov 28 2023 tv <tv> 2.206.0-2.mga10
+ Revision: 2010442
- Rebuild for perl-5.38

* Wed Aug 30 2023 tv <tv> 2.206.0-1.mga10
+ Revision: 1981066
- update to 2.206

* Mon Feb 20 2023 tv <tv> 2.204.0-1.mga9
+ Revision: 1944260
- update to 2.204

* Wed Nov 16 2022 tv <tv> 2.202.0-2.mga9
+ Revision: 1908208
- Rebuild for new zlib in order to fix perl-IO-Compress's testsuite

* Thu Jun 30 2022 tv <tv> 2.202.0-1.mga9
+ Revision: 1866825
- update to 2.202

* Tue Jun 28 2022 tv <tv> 2.201.0-1.mga9
+ Revision: 1866487
- update to 2.201

* Wed Jun 22 2022 tv <tv> 2.200.0-1.mga9
+ Revision: 1865468
- update to 2.200

* Mon Jun 06 2022 umeabot <umeabot> 2.105.0-2.mga9
+ Revision: 1861615
- Rebuild for Perl 5.36

* Sun May 15 2022 tv <tv> 2.105.0-1.mga9
+ Revision: 1858220
- update to 2.105

* Mon Apr 04 2022 tv <tv> 2.103.0-1.mga9
+ Revision: 1843889
- update to 2.103

* Thu Mar 17 2022 umeabot <umeabot> 2.101.0-3.mga9
+ Revision: 1795565
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.101.0-2.mga9
+ Revision: 1726455
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 2.101.0-1.mga9
+ Revision: 1691227
- update to 2.101

* Sat Aug 01 2020 tv <tv> 2.96.0-1.mga8
+ Revision: 1610232
- update to 2.096

* Tue Jul 21 2020 tv <tv> 2.95.0-1.mga8
+ Revision: 1607551
- update to 2.095

* Wed Jul 15 2020 tv <tv> 2.94.0-1.mga8
+ Revision: 1606192
- update to 2.094

* Mon Jun 22 2020 tv <tv> 2.93.0-4.mga8
+ Revision: 1598455
- better description
- use system zlib

* Wed Jun 17 2020 umeabot <umeabot> 2.93.0-3.mga8
+ Revision: 1594355
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 2.93.0-2.mga8
+ Revision: 1539569
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 tv <tv> 2.93.0-1.mga8
+ Revision: 1465256
- update to 2.093

* Thu Dec 05 2019 tv <tv> 2.92.0-1.mga8
+ Revision: 1464450
- update to 2.092

* Sun Nov 24 2019 tv <tv> 2.91.0-1.mga8
+ Revision: 1462592
- update to 2.091

* Mon Nov 11 2019 tv <tv> 2.90.0-1.mga8
+ Revision: 1459226
- update to 2.090

* Mon Nov 04 2019 tv <tv> 2.89.0-1.mga8
+ Revision: 1457670
- update to 2.089

* Mon Nov 04 2019 tv <tv> 2.88.0-1.mga8
+ Revision: 1457529
- update to 2.088

* Mon Aug 26 2019 tv <tv> 2.87.0-2.mga8
+ Revision: 1432749
- rebuild with perl-5.30

* Sun Aug 11 2019 tv <tv> 2.87.0-1.mga8
+ Revision: 1428680
- update to 2.087

* Mon Apr 01 2019 tv <tv> 2.86.0-1.mga7
+ Revision: 1384405
- update to 2.086

* Mon Jan 07 2019 tv <tv> 2.84.0-1.mga7
+ Revision: 1350506
- update to 2.084

* Mon Dec 31 2018 tv <tv> 2.83.0-1.mga7
+ Revision: 1347754
- update to 2.083

* Fri Sep 21 2018 umeabot <umeabot> 2.81.0-4.mga7
+ Revision: 1292534
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 2.81.0-3.mga7
+ Revision: 1248514
- rebuild for perl 5.28

* Fri Jun 01 2018 tv <tv> 2.81.0-2.mga7
+ Revision: 1233444
- rebuild for perl-5.26.2 so that perl-IO-Compress can find a module newer than the one bundled in perl-base

* Mon Apr 09 2018 kekepower <kekepower> 2.81.0-1.mga7
+ Revision: 1216674
- Update to version 2.081

* Sun Dec 10 2017 shlomif <shlomif> 2.76.0-1.mga7
+ Revision: 1181977
- update to 2.076

* Mon Oct 02 2017 tv <tv> 2.74.0-4.mga7
+ Revision: 1163466
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.74.0-3.mga7
+ Revision: 1148692
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.74.0-2.mga7
+ Revision: 1127592
- Rebuild against new Perl 5.26

* Sat Feb 25 2017 shlomif <shlomif> 2.74.0-1.mga6
+ Revision: 1087836
- New version 2.074.

* Mon Feb 06 2017 pterjan <pterjan> 2.69.0-4.mga6
+ Revision: 1084910
- Rebuild for new perl to override core

* Thu May 12 2016 tv <tv> 2.69.0-3.mga6
+ Revision: 1013941
- rebuild for new perl as it's dual packaged

* Thu Dec 31 2015 tv <tv> 2.69.0-2.mga6
+ Revision: 917226
- rebuild for perl-5.22.1 (fixing other packages testsuite b/c perl-base one is too old)

* Mon Sep 28 2015 sander85 <sander85> 2.69.0-1.mga6
+ Revision: 884456
- update to 2.069

* Thu Jun 25 2015 tv <tv> 2.68.0-2.mga6
+ Revision: 843568
- rebuild for perl-5.22

* Sun Jun 21 2015 sander85 <sander85> 2.68.0-1.mga6
+ Revision: 837101
- update to 2.068

* Wed Oct 15 2014 umeabot <umeabot> 2.65.0-5.mga5
+ Revision: 742416
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.65.0-4.mga5
+ Revision: 732951
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.65.0-3.mga5
+ Revision: 683969
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.65.0-2.mga5
+ Revision: 630916
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.65.0-1.mga5
+ Revision: 587925
- update to 2.065

* Mon Oct 21 2013 umeabot <umeabot> 2.62.0-3.mga4
+ Revision: 538451
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 2.62.0-2.mga4
+ Revision: 489727
- Rebuild for new perl

* Mon Aug 12 2013 sander85 <sander85> 2.62.0-1.mga4
+ Revision: 465944
- update to 2.062

* Mon Jun 03 2013 jquelin <jquelin> 2.61.0-1.mga4
+ Revision: 436394
- update to 2.061

* Wed May 29 2013 jquelin <jquelin> 2.60.0-4.mga4
+ Revision: 430585
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 2.60.0-3.mga3
+ Revision: 405452
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-2.mga3
+ Revision: 364570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.60.0-1.mga3
+ Revision: 341877
- update to 2.060

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317604
- update to 2.058

* Wed Nov 07 2012 jquelin <jquelin> 2.56.0-2.mga3
+ Revision: 315489
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.56.0-1.mga3
+ Revision: 284588
- update to 2.056

* Fri Jun 01 2012 jquelin <jquelin> 2.54.0-1.mga3
+ Revision: 252843
- update to 2.054

* Wed May 30 2012 jquelin <jquelin> 2.51.0-2.mga3
+ Revision: 250360
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 2.51.0-1.mga2
+ Revision: 219781
- update to 2.051

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 177016
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175772
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175660
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169202
- update to 2.042

* Sat Nov 05 2011 kharec <kharec> 2.40.0-1.mga2
+ Revision: 163407
- update to 2.040

* Fri Nov 04 2011 jquelin <jquelin> 2.37.0-2.mga2
+ Revision: 162790
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112313
- update to 2.037

* Wed Jun 22 2011 jquelin <jquelin> 2.36.0-1.mga2
+ Revision: 112064
- update to 2.036

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 108886
- update to 2.035

* Sat Jun 11 2011 sander85 <sander85> 2.33.0-3.mga2
+ Revision: 103734
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.33.0-2.mga1
+ Revision: 53576
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 2.33.0-1.mga1
+ Revision: 52421
- update to 2.033

* Fri Jan 21 2011 jquelin <jquelin> 2.32.0-1.mga1
+ Revision: 29938
- mageia rebuild
- imported package perl-Compress-Raw-Zlib

